apt 3.1.11 commandline package manager

Public Member Functions | List of all members
pkgCache::PrvIterator Class Reference
Inheritance diagram for pkgCache::PrvIterator:

## Public Member Functions
Provides * | OwnerPointer () const
PrvIterator & | operator++ ()
PrvIterator | operator++ (int)
const char * | Name () const
const char * | ProvideVersion () const
PkgIterator | ParentPkg () const
VerIterator | OwnerVer () const
PkgIterator | OwnerPkg () const
bool | IsMultiArchImplicit () const APT_PURE
| PrvIterator (pkgCache &Owner, Provides *Trg, Version *)
| PrvIterator (pkgCache &Owner, Provides *Trg, Package *)
Public Member Functions inherited from pkgCache::Iterator< Provides, PrvIterator >
bool | end () const
bool | operator== (const PrvIterator &B) const
bool | operator!= (const PrvIterator &B) const
Provides * | operator-> ()
| operator Provides * ()
| operator Provides const * () const
Provides & | operator* ()
pkgCache * | Cache () const
bool | IsGood () const
unsigned long | Index () const
map_pointer< Provides > | MapPointer () const
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< Provides, PrvIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< Provides, PrvIterator >
Provides * | S
pkgCache * | Owner

The documentation for this class was generated from the following file:

- apt-pkg/cacheiterators.h